/*
 * Project name:
     Spi_Lcd8_Test (How to use SPI Lcd 8-bit interface library)
 * Copyright:
     (c) Mikroelektronika, 2007.
 * Revision History:
     20071210:
       - initial release;
 * Description:
     The code prints text on Lcd (8-bit interface) via SPI interface
 * Test configuration:
     MCU:             AT89S8253
     Dev.Board:       UNI-DS 3
     Oscillator:      External Clock 10.0000 MHz
     Ext. Modules:    mE Serial Lcd/Glcd Adapter, Lcd 2x16 or bigger
     SW:              mikroC for 8051 v1.0
 * NOTES:
     None.
 */

char *text = "mikroE";

// Port Expander module connections
sbit  SPExpanderRST at P1.B0;
sbit  SPExpanderCS  at P1.B1;
// end Port Expander module connections

void main() {
  Spi_Init();                                 // initialize SPI interface
  Spi_Lcd8_Config(0);                         // intialize Lcd in 8bit mode via SPI
  Spi_Lcd8_Cmd(LCD_CLEAR);                    // clear display
  Spi_Lcd8_Cmd(LCD_CURSOR_OFF);               // turn cursor off
  Spi_Lcd8_Out(1,6, text);                    // print text to Lcd, 1st row, 6th column...
  Spi_Lcd8_Chr_CP('!');                       // sppend '!'
  Spi_Lcd8_Out(2,1, "mikroelektronika");      // print text to Lcd, 2nd row, 1st column...
  Spi_Lcd8_Out(3,1, text);                    // for Lcd modules with more than two rows
  Spi_Lcd8_Out(4,15, text);                   // for Lcd modules with more than two rows
}
